package com.lyg.application.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lyg.application.entity.TaIncompatible;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 不相容;(ta_incompatible)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2024-3-6
 */
@Mapper
public interface TaIncompatibleMapper extends BaseMapper<TaIncompatible> {

    List<TaIncompatible> getRegularRules(@Param("params") Map<String, String> params, @Param("regularRule") String regularRule);

    List<String> getMonthRulesPrimary(@Param("primaryPost") String primaryPost, @Param("monthRule") String monthRule);

    List<String> getMonthRulesTarget(@Param("targetPost") String targetPost, @Param("monthRule") String monthRule);


}