package com.lyg.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 角色授权;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-2-5
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "角色授权", description = "")
@TableName("sys_user_role")
public class SysUserRole implements Serializable, Cloneable {
    /**
     * id
     */
    @ApiModelProperty(name = "id", notes = "")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 角色ID
     */
    @ApiModelProperty(name = "角色ID", notes = "")
    private String roleId;
    /**
     * 用户ID
     */
    @ApiModelProperty(name = "用户ID", notes = "")
    private String userId;

}