package com.lyg.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lyg.system.entity.SysMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 菜单表;(sys_menu)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2023-2-5
 */
@Mapper
public interface SysMenuMapper extends BaseMapper<SysMenu> {

    List<SysMenu> getByUser(@Param("userId") String userId);
}