package com.lyg.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lyg.system.entity.SysOrg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 机构表;(sys_org)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2023-1-27
 */
@Mapper
public interface SysOrgMapper extends BaseMapper<SysOrg> {


    List<SysOrg> getSelectList();

    List<SysOrg> getListByUser(@Param("userId") String userId);

    String getMaxCode(@Param("parentId") String parentId);

    long changeOrgCode(@Param("from") String from, @Param("to") String to);

    String getOrgId(@Param("orgName") String orgName);
}