package com.lyg.system.service.framework;

import cn.dev33.satoken.stp.StpInterface;
import com.lyg.system.entity.SysRole;
import com.lyg.system.service.SysRoleService;
import com.lyg.system.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

@Component
public class StpInterfaceImpl implements StpInterface {

    @Autowired
    SysUserService sysUserService;

    @Autowired
    SysRoleService sysRoleService;

    @Override
    public List<String> getPermissionList(Object o, String s) {
        return null;
    }

    @Override
    public List<String> getRoleList(Object loginId, String loginType) {
        List<SysRole> sysRoleList = sysRoleService.getByUser(loginId.toString());

        return null == sysRoleList
                ? new ArrayList<>()
                : sysRoleList.stream().map(SysRole::getRoleId).collect(Collectors.toList());
    }
}
