package com.lyg.system.service.framework;

import com.lyg.framework.service.IUserService;
import com.lyg.system.entity.SysUser;
import com.lyg.system.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;

@Component
public class UserService implements IUserService {
    @Autowired
    @Lazy
    SysUserService sysUserService;

    @Autowired
    @Lazy
    HttpServletRequest request;

//    @Autowired
//    @Lazy
//    TaPersonService taPersonService;

    @Override
    public Object getUserBy(Object loginId) {
        if (null == loginId) return null;
        String clientType = request.getHeader("x-client-type");
        String tenantId = request.getHeader("x-tenant-id");
        System.out.println("---------head--------------");
        System.out.println(clientType);

//        //h5租户端
//        if (clientType.equals("h5.admin")) {
//            TaPerson taPerson = taPersonService.getById((String) loginId);
//            return sysUserService.getSysuser(taPerson.getPhone(), tenantId);
//        }
//        //h5用户端
//        if (clientType.equals("h5.member")) {
//            return null;
//        }

        //PC租户端
//  if (clientType.equals("pc.admin")) {
//            // loginId 就是 userId
//            return sysUserService.getById((String) loginId);
//        }
        // loginId 就是 userId
        return sysUserService.getById((String) loginId);
    }

    @Override
    public String getTenantIdBy(Object user) {
        String tenantId = request.getHeader("x-tenant-id");
        return tenantId;

//        if (null == user) {
//            return request.getHeader("x-tenant-id");
//        };
//
//        SysUser sysUser = (SysUser) user;
//
//        return sysUser.getTenantId();
    }

    @Override
    public String getUserIdBy(Object user) {
        if (null == user) return null;

        SysUser sysUser = (SysUser) user;

        return sysUser.getUserId();
    }

    @Override
    public String getUserNameBy(Object user) {
        if (null == user) return null;

        SysUser sysUser = (SysUser) user;

        return sysUser.getName();
    }
}
