package com.lyg.application.job;


import com.lyg.application.service.TaRotationService;
import com.lyg.framework.accesslimit.AccessLimit;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;

@Component
public class TotationJobTime {

    @Autowired
    private TaRotationService taRotationService;


    /**
     * 每天8点执行一次
     * @return
     * @throws Exception
     */

    @AccessLimit()
    @Scheduled(cron = "${yz.job.task1}")
    public void promptWarning() throws Exception {
        taRotationService.selectGetWaring();

    }


}
