package com.lyg.application.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lyg.application.entity.TaRotation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.lyg.application.entity.TaMandatoryLeave;

import java.time.LocalDate;
import java.util.List;

/**
 * 强制休假表;(ta_mandatory_leave)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2024-3-6
 */
@Mapper
public interface TaMandatoryLeaveMapper  extends BaseMapper<TaMandatoryLeave>{

     List<TaMandatoryLeave> prompt(@Param("localDate") LocalDate localDate);
 }