package com.lyg.application.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lyg.application.entity.TaMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 消息表;(ta_massage)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2024-3-14
 */
@Mapper
public interface TaMessageMapper extends BaseMapper<TaMessage> {

    void updateBySourceId(@Param("id") String leaveId, @Param("params") Map<String, String> params);
}