package com.lyg.application.util;

import cn.dev33.satoken.util.SaResult;
import org.springframework.stereotype.Component;

@Component
public class CreateResponse {


    public static SaResult createResponse(int code, Object data, String msg) {
        // 创建一个SaResult实例
        SaResult result = new SaResult();

        // 设置code和msg
        result.setCode(code);
        result.setMsg(msg);

        // 设置数据内容
        result.setData(data);

        // 返回包含了msg、code和data的结果对象
        return result;
    }
}
